Subject: bug#4157: 23.1.50; faulty character characterisation for ä

From: Eli Zaretskii <[email-masked]>
Date: Thu, 10 Oct 2019 10:20:02 +0300

> Date: Thu, 10 Oct 2019 02:10:10 +0200
> Cc: Peter Dyballa <[email-masked]>, [email-masked]
> 
> LC_CTYPE=de_DE.ISO8859-15 LANG=de_DE.ISO8859-15 ./src/emacs -Q
> 
> When I replace "./src/emacs -Q" with "ls -l" in terminal, I get
> strange characters for files with mtime in March.  (I tried this with
> the default Terminal.app as well as another terminal emulator called
> iterm2.)  The month name is "März" in German but when it's in the
> date, the character "ä" shows up as "?".  Meanwhile, any filenames
> with the same character displays correctly, like so:
> 
> -rw-r--r--    1 skangas  staff      0 10 Okt 01:59 März
> drwxr-xr-x    3 skangas  staff     96 10 M?r  2017 foobar

Please redirect the output to a file, and look at the file with
hexl-find-file.  What do you see in the place where there's a question
mark above?